> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forgegames.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Items

> Lists all items associated with the specified team. Items are blueprints that can be rolled, modified, or assigned attributes.



## OpenAPI

````yaml swagger.json get /items
openapi: 3.0.3
info:
  title: Forge API
  description: Rest API to manipulate items
  version: 0.0.1
servers:
  - url: https://forgegames.org/api
security:
  - BasicAuth: []
tags:
  - name: attributes
    description: Attributes
  - name: classifiers
    description: Classifiers
  - name: item-instance-spaces
    description: Item Instance Spaces
  - name: spaces
    description: Spaces
  - name: users
    description: Users
  - name: user-spaces
    description: User Spaces
  - name: items
    description: Items
  - name: item-instances
    description: Item Instances
externalDocs:
  url: https://docs.forgegames.org
paths:
  /items:
    get:
      tags:
        - items
      summary: List Items
      description: >-
        Lists all items associated with the specified team. Items are blueprints
        that can be rolled, modified, or assigned attributes.
      operationId: items-list
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      maxLength: 191
                    name:
                      type: string
                      maxLength: 191
                    thumbnail:
                      type: string
                      nullable: true
                      maxLength: 191
                    rollNumerator:
                      type: number
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                      nullable: true
                    teamId:
                      type: string
                      maxLength: 191
                    classifiers:
                      type: array
                      items:
                        type: object
                        properties:
                          classifierId:
                            type: string
                            maxLength: 191
                          classifierOption:
                            type: object
                            properties:
                              id:
                                type: string
                                maxLength: 191
                              name:
                                type: string
                                maxLength: 191
                              dropRateMultiplier:
                                type: number
                                nullable: true
                              classifierId:
                                type: string
                                maxLength: 191
                            required:
                              - id
                              - name
                              - dropRateMultiplier
                              - classifierId
                        required:
                          - classifierId
                          - classifierOption
                    attributes:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            maxLength: 191
                          itemId:
                            type: string
                            maxLength: 191
                          attributeId:
                            type: string
                            maxLength: 191
                          min:
                            type: number
                          max:
                            type: number
                        required:
                          - id
                          - itemId
                          - attributeId
                          - min
                          - max
                  required:
                    - id
                    - name
                    - thumbnail
                    - rollNumerator
                    - createdAt
                    - updatedAt
                    - teamId
                    - classifiers
                    - attributes
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - BasicAuth: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````